import com.ibm.as400.ui.framework.java.*;
import com.ibm.as400.access.*;
import com.ibm.as400.opnav.Monitor;

public class SystemStatusEngine extends Object
    implements DataBean
{
    private String m_sCpuUtilization;
    private String m_sSystemASPSize;
    private String m_sSystemASPPercent;
    private String m_sPermanentAddressesUsed;
    private String m_sTemporaryAddressesUsed;
    private AS400 m_sAS400;

    public SystemStatusEngine (AS400 anAS400)  {
        m_sAS400 = anAS400;
    }

    public String getCpuUtilization()
    {
        return m_sCpuUtilization;
    }

    public String getSystemASPSize()
    {
        return m_sSystemASPSize;
    }

    public String getSystemASPPercent()
    {
        return m_sSystemASPPercent;
    }

    public String getPermanentAddressesUsed()
    {
        return m_sPermanentAddressesUsed;
    }

    public String getTemporaryAddressesUsed()
    {
        return m_sTemporaryAddressesUsed;
    }

    public Capabilities getCapabilities()
    {
        return null;
    }

    public void verifyChanges()
    {
    }

    public void save()
    {
    }

    public void load()
    {
        try {
           SystemStatus aStatus = new SystemStatus(m_sAS400);
           m_sCpuUtilization = new Float (aStatus.getPercentProcessingUnitUsed()).toString() + " %";
           m_sSystemASPSize = new Integer (aStatus.getSystemASP()).toString() + " MB";
           m_sSystemASPPercent = new Float (aStatus.getPercentSystemASPUsed()).toString() + " %";
           m_sPermanentAddressesUsed = new Float (aStatus.getPercentPermanentAddresses()).toString() + " %";
           m_sTemporaryAddressesUsed = new Float (aStatus.getPercentTemporaryAddresses()).toString() + " %";
        } catch (Exception e)  {
           Monitor.logThrowable(e);
        }
    }
}
