import com.ibm.as400.ui.framework.java.*;
import com.ibm.as400.access.*;
import com.ibm.as400.opnav.Monitor;
import com.ibm.as400.data.*;

public class SystemStatusEngine extends Object
    implements DataBean
{
    private String m_sCpuUtilization;
    private String m_sSystemASPSize;
    private String m_sSystemASPPercent;
    private String m_sPermanentAddressesUsed;
    private String m_sTemporaryAddressesUsed;
    private AS400  m_sAS400;

    public SystemStatusEngine (AS400 anAS400)  {
	m_sAS400 = anAS400;
   }

    public String getCpuUtilization()
    {
        return m_sCpuUtilization;
    }

    public String getSystemASPSize()
    {
        return m_sSystemASPSize;
    }

    public String getSystemASPPercent()
    {
        return m_sSystemASPPercent;
    }

    public String getPermanentAddressesUsed()
    {
        return m_sPermanentAddressesUsed;
    }

    public String getTemporaryAddressesUsed()
    {
        return m_sTemporaryAddressesUsed;
    }

    public Capabilities getCapabilities()
    {
        return null;
    }

    public void verifyChanges()
    {
    }

    public void save()
    {
    }

    public void load()
    {
 	Object value;
        try {
           ProgramCallDocument pcmlDoc = new ProgramCallDocument(m_sAS400, "qwcrssts");
	   pcmlDoc.callProgram("qwcrssts_SSTS0200");

	   value = new Float ((((Integer) pcmlDoc.getValue("qwcrssts_SSTS0200.receiver.CpuUtilization")).floatValue())/10);
  	   m_sCpuUtilization = new String (value.toString() + " %");
 
    	   value = ((Integer) pcmlDoc.getValue("qwcrssts_SSTS0200.receiver.SystemASPSize"));
           m_sSystemASPSize = new String (value.toString() + " MB");

    	   value = new Float ((((Integer) pcmlDoc.getValue("qwcrssts_SSTS0200.receiver.SystemASPPercent")).floatValue())/10000);
           m_sSystemASPPercent = new String (value.toString() + " %");

   	   value = new Float ((((Integer) pcmlDoc.getValue("qwcrssts_SSTS0200.receiver.PermanentAddressesUsed")).floatValue())/1000);
           m_sPermanentAddressesUsed = new String (value.toString() + " %");

  	   value = new Float ((((Integer) pcmlDoc.getValue("qwcrssts_SSTS0200.receiver.TemporaryAddressesUsed")).floatValue())/1000);
           m_sTemporaryAddressesUsed = new String (value.toString() + " %");

        } catch (Exception e)  {
           Monitor.logThrowable(e);
        }
    }
}
